Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class ContentSpecificationType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v3.ContentSpecificationType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContentSpecificationType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class ContentSpecificationType

extends Object
implements Serializable

ContentSpecification for consultation

Java class for ContentSpecificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentSpecificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApplicationName" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="25"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="ContentType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="DOCUMENT"/>
                   <enumeration value="NEWS"/>
                   <enumeration value="ACKNOWLEDGMENT"/>
                   <enumeration value="ERROR"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="IsImportant" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsEncrypted" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContentSpecificationType()`

Method Summary
`String` | `getApplicationName()` Gets the value of the applicationName property.
`String` | `getContentType()` Gets the value of the contentType property.
`boolean` | `isIsEncrypted()` Gets the value of the isEncrypted property.
`boolean` | `isIsImportant()` Gets the value of the isImportant property.
`void` | `setApplicationName(String value)` Sets the value of the applicationName property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setIsEncrypted(boolean value)` Sets the value of the isEncrypted property.
`void` | `setIsImportant(boolean value)` Sets the value of the isImportant property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentSpecificationType

    public ContentSpecificationType()

Method Detail

### getApplicationName

    public String getApplicationName()

  Gets the value of the applicationName property.

  Returns:
    possible object is `String`

### setApplicationName

    public void setApplicationName(String value)

  Sets the value of the applicationName property.

  Parameters:
    `value` - allowed object is `String`

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

### isIsImportant

    public boolean isIsImportant()

  Gets the value of the isImportant property.

### setIsImportant

    public void setIsImportant(boolean value)

  Sets the value of the isImportant property.

### isIsEncrypted

    public boolean isIsEncrypted()

  Gets the value of the isEncrypted property.

### setIsEncrypted

    public void setIsEncrypted(boolean value)

  Sets the value of the isEncrypted property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.